Subject: Re: [CCAMP] [RTG-DIR] RTG-DIR QA Review: draft-ietf-ccamp-dwdm-if-mng-ctrl-fwk

From: "Gabriele Maria Galimberti (ggalimbe)" <[email-masked]>
Date: Mon, 4 Sep 2017 15:00:27 +0000

Hi Keyur,

Thanks for the comments and the support.

We mostly accepted the suggested modifications and a -07 doc.  version will be posted soon.
Please see the responses in line (R.)

Best Regards,

The Authors

[ttp://www.cisco.com/swa/i/logo.gif]

Gabriele Galimberti
Principal Engineer
Cisco Photonics Srl

via S.Maria Molgora, 48 C
20871 - Vimercate (MB)
Italy
www.cisco.com/global/IT/<http://www.cisco.com/global/IT/>

[email-masked]<mailto:[email-masked]>
Phone :+39 039 2091462
Mobile :+39 335 7481947
Fax :+39 039 2092049

From: Daniele Ceccarelli <[email-masked]>
Date: Wednesday, 23 August 2017 at 14:18
To: Keyur Patel <[email-masked]>, rtg-dir <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>
Cc: Jonathan Hardwick <[email-masked]>, "Yemin (Amy)" <[email-masked]>, "[email-masked]" <[email-masked]>
Subject: RE: [RTG-DIR] RTG-DIR QA Review: draft-ietf-ccamp-dwdm-if-mng-ctrl-fwk
Resent-From: <[email-masked]>
Resent-To: Ruediger Kunze <[email-masked]>, Gert Grammel <[email-masked]>, Dieter Beller <[email-masked]>, Gabriele Galimberti <[email-masked]>, <[email-masked]>, OSCAR GONZALEZ DE DIOS <[email-masked]>, Fatai Zhang <[email-masked]>, <[email-masked]>, <[email-masked]>, Deborah Brungard <[email-masked]>, <[email-masked]>
Resent-Date: Wednesday, 23 August 2017 at 14:18

Hi Keyur,

thanks a lot for your review. We will work together with the authors to have your comments addressed as well as the ones raised during the last meeting.

Thank you
Daniele

From: Keyur Patel [mailto:[email-masked]]
Sent: martedì 8 agosto 2017 02:59
To: rtg-dir <[email-masked]>; [email-masked]; [email-masked]
Cc: Daniele Ceccarelli <[email-masked]>; Jonathan Hardwick <[email-masked]>; Yemin (Amy) <[email-masked]>; [email-masked]
Subject: [RTG-DIR] RTG-DIR QA Review: draft-ietf-ccamp-dwdm-if-mng-ctrl-fwk

Hi,

I have been selected as the Routing Directorate QA reviewer for this draft.

Document: draft-item-ccamp-dwdm-if-mng-ctrl-fwk
Reviewer: Keyur Patel
Review Date: August 7, 2017
Intended Status: Informational Track

Here are my comments.

Overall, the document is well organized and clear about the problem statement and requirements for the framework for Management and Control of DWDM optical interface. This document could simplify early draft sections text and fix few typos + grammatical errors.

Attached are my comments:

1 - Section 1, Consider replacing: "Carriers deploy their networks today based on transport und packet" with "Carriers deploy their networks today based on transport and packet".
R. Accepted.

2 - Section 1, Last Paragraph, consider replacing: "Optical routing and wavelength assignment based on WSON is out of scope although can benefit of the way the optical parameters are exchanged between the Client and the DWDM Network." with: "Although Optical routing and wavelength assignment based on WSON is out of scope, they can benefit from the optical parameters that are exchanged between the Client and the DWDM Network."
R. accepted

3 - Section 2, first Paragraph, consider replacing: "The DWDM interfaces migration…" with "The DWDM interface migration..."
R. Accepted

4 - Section 2, fifth Paragraph: "Administrative domain [G.805]: For the purposes of this Recommendation"
   Perhaps the authors meant "this document" as oppose to "this Recommendation"?
R. accepted, modified text

5 - Section 3.1.2 last Paragraph: "The following documents[DWDM-interface-MIB], [YANG], [LMP] define such a protocol- FIX-THE-REFERENCE specific information using SNMP SMI, Yang models and LMP TLV to support the direct exchange of information between the client and the network management and control plane."
R. modified text

Does this also apply to Section 3.1.1 or it is specific to Section 3.1.2? If so, it should be moved out of Section 3.1.2.
R. YES, Added

6 - Section 4.1.2, third Paragraph and 5.1: LMP uses reliable UDP.  For any Indirect and Direct connections, how does the optical network node recover from partial network configurations upon LMP based adjacency failures? Does that need to be a requirement for LMP extensions?
R.  LMP has a sanity check to verify the connectivity between the client and the network and does not rely on lower layers resiliency.

7 - Section 5.2.1: The alarms that can be generated for use cases mentioned in 5.2.1 can be chatty particularly when sending over LMP (or protocol of choice). Is there a requirement to pace/damp the rate of Alarms (that would be carried within LMP)?
R. Yes, added RFC4204 reference to clarify the alarm information exchanged via LMP

---

From: Keyur Patel <[email-masked]>
Date: Mon, 4 Sep 2017 16:58:45 +0000

Thanks for the note. I am ok with all your responses. Looks good to me. ☺
Best Regards,
Keyur

From: "Gabriele Maria Galimberti (ggalimbe)" <[email-masked]>
Date: Monday, September 4, 2017 at 8:00 AM
To: Keyur Patel <[email-masked]>, rtg-dir <[email-masked]>, "[email-masked]" <[email-masked]>, "[email-masked]" <[email-masked]>, Daniele Ceccarelli <[email-masked]>
Cc: Jonathan Hardwick <[email-masked]>, "Yemin (Amy)" <[email-masked]>, "[email-masked]" <[email-masked]>, Julien Meuric <[email-masked]>, Ruediger Kunze <[email-masked]>, Gert Grammel <[email-masked]>, Dieter Beller <[email-masked]>
Subject: Re: [RTG-DIR] RTG-DIR QA Review: draft-ietf-ccamp-dwdm-if-mng-ctrl-fwk

Hi Keyur,

Best Regards,

The Authors

[tp://www.cisco.com/swa/i/logo.gif]

Gabriele Galimberti
Principal Engineer
Cisco Photonics Srl

Hi Keyur,

Thank you
Daniele

Hi,

Here are my comments.